Skip to content
Start here

Create Pipeline

pipelines.create_v1(PipelineCreateV1Params**kwargs) -> PipelineCreateV1Response
POST/accounts/{account_id}/pipelines/v1/pipelines

Create a new Pipeline.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Pipelines Write
ParametersExpand Collapse
account_id: str

Specifies the public ID of the account.

name: str

Specifies the name of the Pipeline.

maxLength128
minLength1
sql: str

Specifies SQL for the Pipeline processing flow.

ReturnsExpand Collapse
class PipelineCreateV1Response:
id: str

Indicates a unique identifier for this pipeline.

created_at: str
modified_at: str
name: str

Indicates the name of the Pipeline.

maxLength128
minLength1
sql: str

Specifies SQL for the Pipeline processing flow.

status: str

Indicates the current status of the Pipeline.

Create Pipeline

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.pipelines.create_v1(
    account_id="0123105f4ecef8ad9ca31a8372d0c353",
    name="my_pipeline",
    sql="insert into sink select * from source;",
)
print(response.id)
{
  "result": {
    "id": "01234567890123457689012345678901",
    "created_at": "created_at",
    "modified_at": "modified_at",
    "name": "my_pipeline",
    "sql": "insert into sink select * from source;",
    "status": "status"
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "01234567890123457689012345678901",
    "created_at": "created_at",
    "modified_at": "modified_at",
    "name": "my_pipeline",
    "sql": "insert into sink select * from source;",
    "status": "status"
  },
  "success": true
}